Bug 1655205 - [abrt] vinagre: init_freerdp(): vinagre killed by SIGSEGV
Summary: [abrt] vinagre: init_freerdp(): vinagre killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vinagre
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felipe Borges
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2d3cd0879ff5719d60c9dac0e48...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-01 03:52 UTC by Sunny Chan
Modified: 2019-04-05 01:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-02 01:47:05 UTC


Attachments (Terms of Use)
File: backtrace (50.71 KB, text/plain)
2018-12-01 03:52 UTC, Sunny Chan
no flags Details
File: cgroup (331 bytes, text/plain)
2018-12-01 03:52 UTC, Sunny Chan
no flags Details
File: core_backtrace (19.67 KB, text/plain)
2018-12-01 03:52 UTC, Sunny Chan
no flags Details
File: cpuinfo (1.42 KB, text/plain)
2018-12-01 03:52 UTC, Sunny Chan
no flags Details
File: dso_list (14.42 KB, text/plain)
2018-12-01 03:52 UTC, Sunny Chan
no flags Details
File: environ (3.69 KB, text/plain)
2018-12-01 03:52 UTC, Sunny Chan
no flags Details
File: exploitable (82 bytes, text/plain)
2018-12-01 03:52 UTC, Sunny Chan
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-01 03:52 UTC, Sunny Chan
no flags Details
File: maps (96.95 KB, text/plain)
2018-12-01 03:52 UTC, Sunny Chan
no flags Details
File: mountinfo (3.95 KB, text/plain)
2018-12-01 03:52 UTC, Sunny Chan
no flags Details
File: open_fds (88.30 KB, text/plain)
2018-12-01 03:52 UTC, Sunny Chan
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2018-12-01 03:52 UTC, Sunny Chan
no flags Details

Description Sunny Chan 2018-12-01 03:52:08 UTC
Description of problem:
Trying to connect to remove desktop

Version-Release number of selected component:
vinagre-3.22.0-11.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        vinagre
crash_function: init_freerdp
executable:     /usr/bin/vinagre
journald_cursor: s=3b184ba7d81e450f8ce27990abf18cba;i=2d365;b=13b85d6b030441598b0b8c118bbca840;m=5e0ae65f;t=57bed79d6ded2;x=cb9d9a715aea0af6
kernel:         4.19.4-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 init_freerdp at plugins/rdp/vinagre-rdp-tab.c:1071
 #1 open_freerdp at plugins/rdp/vinagre-rdp-tab.c:1222
 #2 vinagre_rdp_tab_constructed at plugins/rdp/vinagre-rdp-tab.c:251
 #3 g_object_new_internal at gobject.c:1845
 #4 g_object_new_valist at gobject.c:2128
 #6 vinagre_rdp_tab_new at plugins/rdp/vinagre-rdp-tab.c:1265
 #7 vinagre_cmd_remote_connect at vinagre/vinagre-commands.c:87
 #12 _gtk_action_emit_activate at deprecated/gtkaction.c:909
 #13 gtk_action_activate at deprecated/gtkaction.c:942
 #14 button_clicked at gtktoolbutton.c:952

Potential duplicate: bug 1635839

Comment 1 Sunny Chan 2018-12-01 03:52:17 UTC
Created attachment 1510317 [details]
File: backtrace

Comment 2 Sunny Chan 2018-12-01 03:52:19 UTC
Created attachment 1510318 [details]
File: cgroup

Comment 3 Sunny Chan 2018-12-01 03:52:22 UTC
Created attachment 1510319 [details]
File: core_backtrace

Comment 4 Sunny Chan 2018-12-01 03:52:24 UTC
Created attachment 1510320 [details]
File: cpuinfo

Comment 5 Sunny Chan 2018-12-01 03:52:26 UTC
Created attachment 1510321 [details]
File: dso_list

Comment 6 Sunny Chan 2018-12-01 03:52:29 UTC
Created attachment 1510322 [details]
File: environ

Comment 7 Sunny Chan 2018-12-01 03:52:30 UTC
Created attachment 1510323 [details]
File: exploitable

Comment 8 Sunny Chan 2018-12-01 03:52:32 UTC
Created attachment 1510324 [details]
File: limits

Comment 9 Sunny Chan 2018-12-01 03:52:35 UTC
Created attachment 1510325 [details]
File: maps

Comment 10 Sunny Chan 2018-12-01 03:52:37 UTC
Created attachment 1510326 [details]
File: mountinfo

Comment 11 Sunny Chan 2018-12-01 03:52:40 UTC
Created attachment 1510327 [details]
File: open_fds

Comment 12 Sunny Chan 2018-12-01 03:52:41 UTC
Created attachment 1510328 [details]
File: proc_pid_status

Comment 13 Jonas Jonsson 2018-12-14 11:26:47 UTC
Similar problem has been detected:

Entered locahost instead of localhost.

reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        vinagre localhost:3389
crash_function: init_freerdp
executable:     /usr/bin/vinagre
journald_cursor: s=8ef1271d4ead4d16a13f773ed7dadc07;i=2a96ba;b=637c44628bab4ca69b12ad6df20fa468;m=2c17e7a3d6a;t=57cec1d264994;x=80bfd07b0ca7dead
kernel:         4.18.16-300.fc29.x86_64
package:        vinagre-3.22.0-12.fc29
reason:         vinagre killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora Update System 2019-02-28 19:42:49 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc29 remmina-1.3.3-1.fc29 gnome-boxes-3.30.3-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e3b2885a25

Comment 15 Fedora Update System 2019-02-28 19:43:13 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc28 remmina-1.3.3-1.fc28 gnome-boxes-3.28.5-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 16 Fedora Update System 2019-03-01 03:36:04 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc29, gnome-boxes-3.30.3-2.fc29, pidgin-sipe-1.24.0-3.fc29, remmina-1.3.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e3b2885a25

Comment 17 Fedora Update System 2019-03-01 22:23:22 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc28, gnome-boxes-3.28.5-2.fc28, pidgin-sipe-1.24.0-3.fc28, remmina-1.3.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 18 Fedora Update System 2019-03-02 01:47:05 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc29, gnome-boxes-3.30.3-2.fc29, pidgin-sipe-1.24.0-3.fc29, remmina-1.3.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-03-06 06:21:11 UTC
freerdp-2.0.0-49.20190304git435872b.fc28 gnome-boxes-3.28.5-2.fc28 pidgin-sipe-1.24.0-3.fc28 remmina-1.3.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 20 Fedora Update System 2019-03-06 15:12:46 UTC
freerdp-2.0.0-49.20190304git435872b.fc28, gnome-boxes-3.28.5-2.fc28, pidgin-sipe-1.24.0-3.fc28, remmina-1.3.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 21 Fedora Update System 2019-04-05 01:54:42 UTC
freerdp-2.0.0-49.20190304git435872b.fc28, gnome-boxes-3.28.5-2.fc28, pidgin-sipe-1.24.0-3.fc28, remmina-1.3.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.